# Oracle Cloud Infrastructure Terraform Module for Observability

*This module is for creating resources related to [Observability](https://www.oracle.com/in/manageability/) in Oracle Cloud Infrastructure*

## Pre-requisites:

- git is installed. 
- Terraform 1.3.0 or higher version is installed.
- [Required keys](https://docs.oracle.com/en-us/iaas/Content/API/Concepts/apisigningkey.htm) are availabe for authentication
## Documentation
Please refer to the [examples](https://github.com/oracle-terraform-modules/terraform-oci-oandm/tree/main/examples) on how to use each submodule.       
Below are some reference document to understand the service related to the modules  
[Alarm](https://docs.oracle.com/en-us/iaas/Content/Monitoring/Tasks/managingalarms.htm)  
[ServiceConnector](https://docs.oracle.com/en-us/iaas/Content/service-connector-hub/overview.htm)  

## Contributing

This project welcomes contributions from the community. Before submitting a pull request, please [review our contribution guide](./CONTRIBUTING.md)

## Security

Please consult the [security guide](./SECURITY.md) for our responsible security vulnerability disclosure process

## License

Copyright (c) 2023 Oracle and/or its affiliates.

Released under the Universal Permissive License v1.0 as shown at
<https://oss.oracle.com/licenses/upl/>.

